export default {
    fields: [
        'id',
        'description',
        'isActive',
        'isKmTruckRate',
        'warehouseFk',
        'companyFk',
        'numberPlate',
        'chassis',
        'supplierFk',
        'supplierCoolerFk',
        'tradeMark',
        'fuelTypeFk',
        'import',
        'vin',
        'model',
        'ppeFk',
        'countryCodeFk',
        'leasing',
        'bankPolicyFk',
    ],
    include: [
        {
            relation: 'warehouse',
            scope: {
                fields: ['id', 'name'],
            },
        },
        {
            relation: 'company',
            scope: {
                fields: ['id', 'code'],
            },
        },
        {
            relation: 'supplier',
            scope: {
                fields: ['id', 'name'],
            },
        },
        {
            relation: 'supplierCooler',
            scope: {
                fields: ['id', 'name'],
            },
        },
        {
            relation: 'fuelType',
            scope: {
                fields: ['id', 'name'],
            },
        },
        {
            relation: 'bankPolicy',
            scope: {
                fields: ['id', 'ref'],
            },
        },
        {
            relation: 'ppe',
            scope: {
                fields: ['id'],
            },
        },
    ],
};
